import { renderless, api } from '@opentinyvue/vue-renderless/container/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["pattern", "headerHeight", "asideWidth", "footerHeight"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-container",
    class: [_vm.pattern]
  }, [_vm.state.showHeader ? _c("div", {
    staticClass: "tiny-container__header",
    style: _vm.state.headerStyle
  }, [_vm._t("header")], 2) : _vm._e(), _vm.state.showAside ? _c("div", {
    staticClass: "tiny-container__aside",
    style: _vm.state.asideStyle
  }, [_vm._t("aside")], 2) : _vm._e(), _c("div", {
    staticClass: "tiny-container__main",
    style: _vm.state.mainStyle
  }, [_vm._t("default")], 2), _vm.state.showFooter ? _c("div", {
    staticClass: "tiny-container__footer",
    style: _vm.state.footerStyle
  }, [_vm._t("footer")], 2) : _vm._e()]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
